## gate.creole.annotransfer
Class AnnotationSetTransfer

    java.lang.Object
      |
      +--gate.util.AbstractFeatureBearer
            |
            +--gate.creole.AbstractResource
                  |
                  +--gate.creole.AbstractProcessingResource
                        |
                        +--gate.creole.AbstractLanguageAnalyser
                              |
                              +--gate.creole.annotransfer.AnnotationSetTransfer

All Implemented Interfaces:
  Executable, FeatureBearer, LanguageAnalyser, NameBearer, ProcessingResource, Resource, Serializable

public class AnnotationSetTransfer
extends AbstractLanguageAnalyser
implements ProcessingResource

This class is the implementation of the resource ACEPROCESSOR.

See Also:
  Serialized Form

Constructor Summary
`AnnotationSetTransfer()`

Method Summary
`void` `execute()` Run the resource.
`String` `getInputASName()`
`String` `getOutputASName()`
`String` `getTagASName()`
`String` `getTextTagName()`
`Resource` `init()` Initialise this resource, and return it.
`void` `reInit()` Reinitialises the processing resource.
`void` `setInputASName(String newInputASName)`
`void` `setOutputASName(String newOutputASName)`
`void` `setTagASName(String newTagASName)`
`void` `setTextTagName(String newTextTagName)`

Methods inherited from class gate.creole.AbstractLanguageAnalyser
`getCorpus, getDocument, setCorpus, setDocument`

Methods inherited from class gate.creole.AbstractProcessingResource
`addProgressListener, addStatusListener, cleanup, interrupt, isInterrupted, removeProgressListener, removeStatusListener`

Methods inherited from class gate.creole.AbstractResource
`checkParameterValues, getName, getParameterValue, getParameterValue, removeResourceListeners, setName, setParameterValue, setParameterValue, setParameterValues, setParameterValues, setResourceListeners`

Methods inherited from class gate.util.AbstractFeatureBearer
`getFeatures, setFeatures`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface gate.ProcessingResource
`interrupt, isInterrupted`

Methods inherited from interface gate.Resource
`cleanup, getParameterValue, setParameterValue, setParameterValues`

Methods inherited from interface gate.util.FeatureBearer
`getFeatures, setFeatures`

Methods inherited from interface gate.util.NameBearer
`getName, setName`

Constructor Detail

### AnnotationSetTransfer

    public AnnotationSetTransfer()

Method Detail

### init

    public Resource init()
                  throws ResourceInstantiationException

  Initialise this resource, and return it.
  Specified by:
    `init` in interface `Resource`
  Overrides:
    `init` in class `AbstractProcessingResource`

### reInit

    public void reInit()
                throws ResourceInstantiationException

  Reinitialises the processing resource. After calling this method the resource should be in the state it is after calling init. If the resource depends on external resources (such as rules files) then the resource will re-read those resources. If the data used to create the resource has changed since the resource has been created then the resource will change too after calling reInit().
  Specified by:
    `reInit` in interface `ProcessingResource`
  Overrides:
    `reInit` in class `AbstractProcessingResource`

### execute

    public void execute()
                 throws ExecutionException

  Run the resource.
  Specified by:
    `execute` in interface `Executable`
  Overrides:
    `execute` in class `AbstractProcessingResource`

### setTagASName

    public void setTagASName(String newTagASName)

### getTagASName

    public String getTagASName()

### setInputASName

    public void setInputASName(String newInputASName)

### getInputASName

    public String getInputASName()

### setOutputASName

    public void setOutputASName(String newOutputASName)

### getOutputASName

    public String getOutputASName()

### setTextTagName

    public void setTextTagName(String newTextTagName)

### getTextTagName

    public String getTextTagName()